# TODO: where is "euclidian geometry tool"? Maybe drgeo-obsolotes is false
Summary:	General tool for mathematics
Summary(pl.UTF-8):	Rozbudowane narzędzie matematyczne
Name:		genius
Version:	1.0.16
Release:	1
License:	GPL v3+
Group:		Applications/Math
Source0:	http://ftp.5z.com/pub/genius/%{name}-%{version}.tar.xz
# Source0-md5:	2bd84b1c1ec3232c67e901b7d69f5698
Patch0:		%{name}-desktop.patch
URL:		http://www.jirka.org/genius.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	gnome-common >= 2.8.0-2
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	gtksourceview2-devel >= 2.0.2
BuildRequires:	intltool >= 0.21
BuildRequires:	libtool
BuildRequires:	mpfr-devel >= 2.2.0
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte0-devel >= 0.17.1
BuildRequires:	xz >= 1:4.999.7
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Obsoletes:	drgenius
Obsoletes:	drgeo
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Genius is a general tool for mathematics, including a mathematical
programming language and evaluator, an euclidian geometry tool, a
2D/3D function grapher and a console calculator. The console
calculator handles multiple precision floating point numbers, infinite
precision integers, complex numbers and matrixes.

%description -l pl.UTF-8
Genius to narzędzie do rozwiązywania problemów matematycznych. Zawiera
ono matematyczny język programowania, narzędzie do geometrii
euklidesowej, narzędzie do generowania wykresów 2D/3D oraz konsolowy
kalkulator. Kalkulator obsługuje liczby zmiennoprzecinkowe wysokiej
precyzji, liczby całkowite, zespolone oraz macierze.

%package devel
Summary:	genius header files
Summary(pl.UTF-8):	Pliki nagłówkowe genius
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Genius header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe genius.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's#sr\@Latn#sr\@latin#' configure.in
%{__sed} -i 's@AM_BINRELOC@#AM_BINRELOC@' configure.in
mv po/sr\@{Latn,latin}.po

%build
rm -f acinclude.m4
%{__gnome_doc_common}
cp xmldocs.make help
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--enable-gtksourceview \
	--enable-gnome \
	--disable-update-mimedb

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Obsoleted GNOME mime-info stuff
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/genius/libtestplugin.{so,la}

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/genius
%attr(755,root,root) %{_bindir}/gnome-genius
%dir %{_libdir}/genius
%attr(755,root,root) %{_libdir}/genius-readline-helper-fifo
%{_datadir}/genius
%{_datadir}/mime/packages/genius.xml
%{_desktopdir}/gnome-genius.desktop
%{_iconsdir}/hicolor/*/apps/*.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/genius
%changelog
* Wed Dec 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/genius.git;a=log;h=master

* Wed Dec 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 872a00e
Update to 1.0.16

* Sat Jun 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> e804064
- updated to 1.0.15

* Thu Feb 02 2012 lisu <lisu@pld-linux.org> b1f807e
- no more separated libtinfo(w)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 25ed228
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a2f2c45
- release 2

* Fri Jul 29 2011 lisu <lisu@pld-linux.org> 1a51019
- updated to 1.0.14
- vte-devel -> vte0-devel

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 7f69a61
- Requires(post,postun): gtk-update-icon-cache

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> ae7ea2b
- no longer needed

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> 5548f96
- up to 1.0.12
- drop obsolete -separator.patch
- use rm macro where possible

* Fri Sep 10 2010 lisu <lisu@pld-linux.org> 46803db
- change 8 spaces to one \t to avoid errors

* Fri Sep 10 2010 lisu <lisu@pld-linux.org> fb2d5c9
- updated to 1.0.11
- add -separator.patch to fix Makefile.am

* Tue Jun 15 2010 Paweł Sikora <pluto@pld-linux.org> 20104ca
- release 3 (rebuild with mpfr-3.0.x)

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 83882f0
- release 2

* Thu Dec 24 2009 lisu <lisu@pld-linux.org> 7b0314d
- up to 1.0.9
- group changed to Applications/Math (there is no group such X11/Applications/Math)
- pass through adapter

* Sun Nov 15 2009 zbyniu <zbyniu@pld-linux.org> d242562
- BR: gettext-devel

* Sun Nov 15 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a4a08fb
- updated to 1.0.8

* Tue Aug 04 2009 lisu <lisu@pld-linux.org> a18b391
- 1.0.7

* Sat Jul 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9d322b9
- release 3

* Wed Jun 03 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4b7a2ca
- fixed build (force make -j1)
- packaged all icons
- release 2

* Fri May 01 2009 Zsolt Udvari <uzsolt@pld-linux.org> 35d8d7c
- todo

